%global gem_name configuration

Summary:        Pure Ruby scoped configuration files
Name:           rubygem-%{gem_name}
Version:        1.3.1
Release:        6%{?dist}
Group:          Development/Languages
License:        Ruby or BSD
URL:            http://codeforpeople.com/lib/ruby/configuration/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Source1:        %{gem_name}-LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.9.1
Requires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
Ruby configuration gem provides a mechanism for configuring ruby programs
with ruby configuration files.


%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.



%prep
install -pm 0644 %{SOURCE1} LICENSE


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} \
        --force %{SOURCE0}


%clean
rm -rf $RPM_BUILD_ROOT

#%check 
#cd %{buildroot}%{gem_instdir}
# Rakefile apparently has no tests


%files
%defattr(-,root,root,-)
%dir %{gem_instdir}
%{gem_instdir}/config
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/*.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/samples

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 <stahnma@fedoraproject.org> - 1.3.1-1
- Clarify License
- BZ #787985

* Wed Feb 01 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 14 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.1.0-1
- New version
- Adding -doc sub package

* Sun Feb 21 2010 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-5
- Fix build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-2
- Fix up documentation list
- Use geminstdir macro where appropriate
- Do not move examples around
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-1
- Package generated by gem2rpm
- Move examples and README into documentation
- Fix up License
- Strip useless shebang
